[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.MouseCoord

Gets the cell coordinates for the specified mouse pointer position.

## Declaration

Source position: grids.pas line 1367

`public function TCustomGrid.MouseCoord(`
`X: Integer;`
`Y: Integer`
`):TGridCoord;`

## Arguments

`X` |  | Horizontal screen coordinate for the mouse pointer.
`Y` |  | Vertical screen coordinate for the mouse pointer.

## Function result

TGridCood instance with the cell coordinates for the mouse pointer.

## Description

MouseCoord is TGridCoord function used to get the coordinates for the mouse pointer as cell coordinates. It calls the MouseToCell method to get the TGridCoord (an alias to TPoint) instance used in the return value.

## See also

TCustomGrid.MouseToCell |  | Converts the specified mouse screen coordinates to cell coordinates.
TGridCoord |  | Stores mouse coordinates in screen pixels.